<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>

<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
    pageEncoding="ISO-8859-1"%>
    

<!DOCTYPE html>
<html>
<head>
<meta charset="ISO-8859-1">
<title>Temperatur</title>

<link href="CSS/stiler.css"
type="text/css"
rel="stylesheet" />

</head>

<body>

<ul>
  <li><a href="OversiktServlet">Oversikt</a></li>
  <li><a class="active" href="LoggServlet">Logg</a></li>
  <li><a href="InnstillingerServlet">Innstillinger</a></li>
  <li style="float:right"><a href="LogoutServlet">Logg ut</a></li>
</ul>

<div class="center">

	<h1>LOGG</h1>

	${melding}

	<table>
			<c:forEach items="${logg}" var="item">
				<tr>
					<td>${item.getVarsel()}</td>	
					<td>${item.getGatenavn()}</td>
					<td>${item.getDato()}</td>
					<td>${item.getTid()}</td>	
				</tr>
		</c:forEach>	
	</table>
	
	<form method="post" action=LoggServlet>	
		<input type="hidden" name="slett"  value="slett"/><br/><br/>  
		<input type="submit" value="Slett logg"/>  
	</form>

</div>
</body>
</html>