<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>

<!DOCTYPE html>
<html lang="no"> 
<head>
<meta charset="UTF-8">

	<link href="CSS/stiler.css" 
	type="text/css" rel="stylesheet" />
	
	<title>Ny_Bruker</title>
</head>
<body>

<div class="center">

<a href="OversiktServlet">Oversikt </a>

	<h1>Ny bruker</h1>
	
	<form action="BrukerServlet" method="post">
			<div class="brukerDiv">
				<label for="fornavn">Fornavn:</label> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
				<input type="text" id="fornavnId"  name="fornavn" value="${RettForNavn}" />
				<font color="red">${feilmeldingFornavn}</font>
			</div>
				
			<div class="brukerDiv">
				<label for="etternavn">Etternavn:</label>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 
				<input type="text" name="etternavn" id="etternavnId" value="${RettEtterNavn}" /> 
				<font color="red">${feilmeldingEtternavn}</font>
			</div>
			
			<div class="brukerDiv">
				<label for="mobil">Mobil:</label> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
				<input type="text"id="mobilId" name="mobil" value="${RettMobil}" /> 
				<font color="red">${feilmeldingMobil}</font>
			</div>
			
			<div class="brukerDiv">
				<label for="epost">Epost:</label> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
				<input type="text"id="epostId" name="epost" value="${RettEpost}" /> 
				<font color="red">${feilmeldingEpost}</font>
			</div>
			
			<div class="brukerDiv">
				<label for="password">Passord:</label> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
				<input type="password" id="passordId" name="passord" value="${RettPassord}"/> 
				<font color="red">${feilmeldingPassord}</font>
			</div>
			
			<div class="brukerDiv">
				<label for="passordRepetert">Repeter passord</label> 
				<input type="password" id="passordRepId" name="passordRepetert" value="${RettPassordRepeter}"/> 
				<font color="red">${feilmeldingPassordRepeter}</font>
			</div>
			
			<div  class="messagePassord" id="messagePassord" style="display: none;">
			 	<p> KRAV: En stor bokstav, en liten bokstav, ett tall og mellom 8 og 16 siffer<br>
			 	 ÆØÅ, blir ikke godtatt<br>
			 	 Rødt - ugyldig passord<br>
			 	 Gult - gyldig, styrke svak<br>
			 	 Grønt - gyldig, styrke sterk<p/>
			</div>
			<div>
				<button onclick="return confirm('Lagre ny bruker?')" type="submit">Lagre ny bruker</button>
			</div>		
	</form>

	
</div>

	<script defer src="script/script.js"></script>
</body>
</html>