<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
    pageEncoding="ISO-8859-1"%>
    

<!DOCTYPE html>
<html>
<head>
<meta charset="ISO-8859-1">
<title>Temperatur</title>

<link href="CSS/stiler.css"
type="text/css"
rel="stylesheet" />

</head>

<body>

<div class="center">
<a href="OversiktServlet">Oversikt </a>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<a href="LogoutServlet"> Logout</a> 
	<h1>${navnPaaMaaler}</h1>
	<h3>Temperatur: ${sisteTemperatur} &deg;C</h3>
	<p>Siste maaling: ${temperaturObjekt.getTid()} &nbsp;&nbsp;&nbsp;&nbsp;  ${temperaturObjekt.utskriftDato()}</p> 
	
	<table>
		<c:forEach items="${temperaturer}" var="item">
		<c:choose>
			<c:when test="${item.getTitle()=='max'}">
	        	<tr><th> </th><th> </th> </tr>
	        	<tr><th> </th><th> </th> </tr>
			   		<tr>
	        			<th>MAX</th>
	        			<th>Dato</th>
	        			<th></th>
	        		</tr>
	        	</c:when>
	       <c:when test="${item.getTitle()=='min'}">
	        	<tr><th> </th><th> </th> </tr>
	        	<tr><th> </th><th> </th> </tr>
			   		<tr>
	        			<th>MIN</th>
	        			<th>Dato</th>
	        			<th></th>
	        		</tr>
	        	</c:when>
	        <c:when test="${item.getTitle()=='avg'}">
	         	<tr><th> </th><th> </th> </tr>
	        	<tr><th> </th><th> </th> </tr>
			   		<tr>
	        			<th>AVG</th>
	        			<th>Dato</th>
	        			<th></th>
	        		</tr>
	        	</c:when>
        </c:choose>
        
		<tr>
			<td>${item.getTempToday()}</td>
			<td>${item.getDateToDay()}</td>	
		</tr>
		<tr>
			<td>${item.getTempOneDayAgo()}</td>
			<td>${item.getDateOneDayAgo()}</td>	
		</tr>
		<tr>
			<td>${item.getTempTwoDaysAgo()}</td>
			<td>${item.getDateTwoDaysAgo()}</td>	
		</tr>
		<tr>
			<td>${item.getTempLastSevenDays()}</td>
			<td>Siste syv dager</td>	
		</tr>
		<tr>
			<td>${item.getTempLastThirtyDays()}</td>
			<td>Siste 30 dager</td>	
		</tr>
	</c:forEach>	
	</table>

</div>
</body>
</html>