"use strict";

let fornavnInput=document.getElementById("fornavnId");
fornavnInput.addEventListener("input", event=>{

	let fornavn=fornavnInput.value;
	var regex=/^[A-Za-zÆØÅæøå\ ]{2,20}$/;
	// escape mellomrom

	if(regex.test(fornavn)){	
		fornavnInput.setAttribute("style", "background-color: #90EE90");
	}
	else{
		fornavnInput.setAttribute("style", "background-color: #FF0000");
	}
});


let etternavnInput=document.getElementById("etternavnId");
etternavnInput.addEventListener("input", event=>{
	let etternavn=etternavnInput.value;
	var regexB=/^[A-Za-zÆØÅæøå\ ]{2,20}$/;
	if(regexB.test(etternavn)){
		etternavnInput.setAttribute("style", "background-color: #90EE90");
	}
	else{
		etternavnInput.setAttribute("style", "background-color: #FF0000");
	}
});


let mobilInput=document.getElementById("mobilId");
mobilInput.addEventListener("input", event=>{
	let mobil=mobilInput.value;
	var regexC=/^[0-9]{8}$/;  
	if(regexC.test(mobil)){
		mobilInput.setAttribute("style", "background-color: #90EE90");
	}
	else{
		mobilInput.setAttribute("style", "background-color: #FF0000");
	}
});


let passordInput=document.getElementById("passordId");
passordInput.addEventListener("mouseover", event=>{
	document.getElementById("messagePassord").style.display = 'block';
});

passordInput.addEventListener("mouseout", event=>{
	document.getElementById("messagePassord").style.display = 'none';
});

passordInput.addEventListener("input", event=>{
	let passord=passordInput.value;
	var regexD=(/^(?=.*\d)(?=.*[a-z])(?=.*[A-Z])[0-9a-zA-Z]{8,10}$/);
	var regexE=(/^(?=.*\d)(?=.*[a-z])(?=.*[A-Z])[0-9a-zA-Z]{11,16}$/); 
	if(regexE.test(passord)){
		passordInput.setAttribute("style", "background-color: #90EE90");
	}
	else if(regexD.test(passord)){
		passordInput.setAttribute("style",  "background-color: yellow");
	}
	else{
		passordInput.setAttribute("style", "background-color: #FF0000");
	}
});



let passordRepInput=document.getElementById("passordRepId");
passordRepInput.addEventListener("input", event=>{
	let passordRep=passordRepInput.value;
	let passord=passordInput.value;
	if(passordRep===passord){
		passordRepInput.setAttribute("style", "background-color: #90EE90");
	}
	else{
		passordRepInput.setAttribute("style", "background-color: #FF0000");
	}
});


let myInputEmail=document.getElementById("epostId");
myInputEmail.addEventListener("input", event=>{

let email=myInputEmail.value;

let regex=/^[A-Za-z0-9._%+-]+@[A-Za-z0-9.-]+\.[A-Za-z]{2,3}$/;

if(regex.test(email)){
	myInputEmail.setAttribute("style", "background-color: #90EE90");
	}
else{
	myInputEmail.setAttribute("style", "background-color: #FF0000");
	}
});




