package database;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name = "bruker", schema = "temperatur")
public class Bruker {

	@Id
	private int mobil;
	private String fornavn;
	private String etternavn;
	private String passord;
	private String epost;
	

	public Bruker() {

	}

	public Bruker(String fornavn, String etternavn, int mobil, String epost, String passord) {
		this.fornavn = fornavn;
		this.etternavn=etternavn;
		this.mobil=mobil;
		this.passord = passord;
		this.epost = epost;
	}

	public String getFornavn() {
		return fornavn;
	}

	public void setFornavn(String fornavn) {
		this.fornavn = fornavn;
	}

	public String getEtternavn() {
		return etternavn;
	}

	public void setEtternavn(String etternavn) {
		this.etternavn = etternavn;
	}

	public String getPassord() {
		return passord;
	}

	public void setPassord(String passord) {
		this.passord = passord;
	}

	public String getEpost() {
		return epost;
	}

	public void setEpost(String epost) {
		this.epost = epost;
	}

	public int getMobil() {
		return mobil;
	}

	public void setMobil(int mobil) {
		this.mobil = mobil;
	}
}
