package database;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

@Entity
@Table(name = "maaler", schema = "temperatur")
public class Maaler {

	@Id
	String maalernavn;
	String gatenavn;
	boolean aktiv;
	boolean kritiskvarsling;
	int tempgrense;

	public String getMaalernavn() {
		return maalernavn;
	}

	public void setMaalernavn(String maalernavn) {
		this.maalernavn = maalernavn;
	}

	public String getGatenavn() {
		return gatenavn;
	}

	public void setGatenavn(String gatenavn) {
		this.gatenavn = gatenavn;
	}

	public boolean getAktiv() {
		return aktiv;
	}

	public void setAktiv(boolean aktiv) {
		this.aktiv = aktiv;
	}

	public boolean getKritiskvarsling() {
		return kritiskvarsling;
	}

	public void setKritiskvarsling(boolean kritiskvarlsing) {
		this.kritiskvarsling = kritiskvarlsing;
	}

	public int getTempgrense() {
		return tempgrense;
	}

	public void setTempgrense(int tempgrense) {
		this.tempgrense = tempgrense;
	}

	
	public String getStatusKritiskVarsling() {
		if (getKritiskvarsling()) {
			return "Aktiv";
		} else {
			return "Inaktiv";
		}
	}

		@Override
	public String toString() {
		return "Navn [maalernavn=" + maalernavn + ", gatenavn=" + gatenavn + ", aktiv=" + aktiv + ", kritiskvarsling="
				+ kritiskvarsling + ", tempgrense=" + tempgrense + "]";
	}


}
