package sesjon;

import java.io.UnsupportedEncodingException;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpSession;
import database.Bruker;

public class Sesjon {

public Sesjon() {
	
}


synchronized public void startSesjonVoid(HttpServletRequest request, Bruker bruker, String tid) throws UnsupportedEncodingException {	
	HttpSession sesjon= request.getSession(false); 
	if(sesjon!=null) {
		sesjon.invalidate();
	}//if
	sesjon= request.getSession(true);
	int gyldigTid=Integer.parseInt(tid);
    sesjon.setMaxInactiveInterval(gyldigTid);
    sesjon.setAttribute("Bruker", bruker);
}//metode



synchronized public void stopSesjon(HttpServletRequest request) throws UnsupportedEncodingException {
	
	HttpSession sesjon= request.getSession(false); 
	if(sesjon!=null) {
		sesjon.invalidate();
	}//if

}//metode


synchronized public boolean testGyldigSesjon(HttpServletRequest request) {
	boolean test=false;
    HttpSession sesjon = request.getSession(false);  //SESJON Returnerer null eller eksisterende sesjon
    if (sesjon == null || sesjon.getAttribute("Bruker") == null) {
    	test=false;
    }
    else {
    	test=true;
    }
	return test;
}


}//class