<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
	pageEncoding="ISO-8859-1"%>
<!DOCTYPE html>
<html>

<head>
<meta charset="ISO-8859-1">
<title>Dat190</title>
<style>
input { display: inline; }
</style>
<link href="CSS/stiler.css" type="text/css" rel="stylesheet" />
</head>

<body>
<ul>
  <li><a href="OversiktServlet">Oversikt</a></li>
  <li><a href="LoggServlet">Logg</a></li>
  <li><a class="active" href="InnstillingerServlet">Innstillinger</a></li>
  <li><a href="BrukerServlet">Ny bruker</a></li>
  <li style="float:right"><a href="LogoutServlet">Logg ut</a></li>
</ul>
	
	<div class="center">

	<h1>Innstillinger</h1>

		<br /> 

		<form name="deviceform" method="post" action="InnstillingerServlet" id="deviceform">
			<label for="devices">Mler:</label>
			<select name="devices" id="devices">
				<c:forEach items="${maalerliste}" var="m">
					<option value="${m.getMaalernavn()}">${m.getGatenavn()}</option>
				</c:forEach>
			</select>
			
			<label for="alarm">Alarm:</label>
			<select name="alarm" id="alarm">
				<option value="active">Aktiv</option>
				<option value="inactive">Inaktiv</option>
			</select>
				
			<label for="tempLimit">Temperaturgrense:</label>
			<select name="tempLimit" id="tempLimit">
				<option value="40">40</option>
				<option value="35">35</option>
				<option value="30">30</option>
				<option value="25">25</option>
				<option value="20">20</option>
				<option value="15">15</option>
			</select>
			
			<input type="submit" value="send" />
		</form>
		<br>
		
		
		<table>
			<tr>
				<th align="left">Adresse</th>
				<th align="left">Varsel</th>
				<th align="left">Grense</th>
			</tr>
			
			<c:forEach items="${maalerliste}" var="m">
				<tr>
					<td>${m.getGatenavn()}
						&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
					<td>${m.getStatusKritiskVarsling()}&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
					<td>${m.getTempgrense()}
						&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
				</tr>
				<tr>
					<td>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;</td>
				</tr>
			</c:forEach>

		</table>
		<br>
	</div>
</body>
</html>









