package admin;

import java.io.IOException;
import javax.servlet.ServletException;
import javax.servlet.annotation.WebServlet;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;

import sesjon.Sesjon;


@WebServlet("/LogoutServlet")
public class LogoutServlet extends HttpServlet {
	private static final long serialVersionUID = 1L;
       
 
	
    public LogoutServlet() {
        super();
    }

	
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
	
		response.sendRedirect("logout.jsp");
	}


	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException {
		
        HttpSession sesjon = request.getSession(false); 
        if (sesjon == null || sesjon.getAttribute("Deltaker") == null) {
        	request.setAttribute("feilmelding", "Sesjon ugyldig");
        	request.getRequestDispatcher("index.jsp").forward(request,response);
        	return;
        }
		Sesjon session=new Sesjon();
		session.stopSesjon(request); 
		response.sendRedirect("LogoutServlet");
	}//doPost
}
