package metoder;

import java.util.Date;

/*
 * Denne klassen er en hjelpemetode. I servlets blir det stilt spørsmål til ulike tabeller i databasen. Resultatene
 * blir omgjort til strings, og lagret i dette objektet. Deretter blir en array med dette objektet opprettet og overført
 * til en jsp side og printet ut i en loop.
 */
public class MovingTemperatures {
	//Variabler for � flytte tallverdier fra Servlets til jsp sider.
	String title;
	String tempToday;
	String tempOneDayAgo;
	String tempTwoDaysAgo;
	String tempThreeDaysAgo;
	String tempLastSevenDays;
	String tempLastThirtyDays;
	String tempLast365Days;
	
	//Variabler for � flytte datoer fra Servlets til jsp sider
	Date dateToDay;
	Date dateOneDayAgo;
	Date dateTwoDaysAgo;
	Date dateSevenDaysAgo;
	Date dateOneMonthAgo;
	Date dateOneYearAgo;
	
	public MovingTemperatures() {
	
	}
	
	public MovingTemperatures(String title, Date dateToDay, Date dateOneDayAgo, Date dateTwoDaysAgo) {
		this.title=title;
		this.dateToDay=dateToDay;
		this.dateOneDayAgo=dateOneDayAgo;
		this.dateTwoDaysAgo=dateTwoDaysAgo;
	}

	
	public String getTitle() {
		return title;
	}

	public void setTitle(String title) {
		this.title = title;
	}

	public String getTempToday() {
		return tempToday;
	}

	public void setTempToday(String tempToday) {
		this.tempToday = tempToday;
	}

	public String getTempOneDayAgo() {
		return tempOneDayAgo;
	}

	public void setTempOneDayAgo(String tempOneDayAgo) {
		this.tempOneDayAgo = tempOneDayAgo;
	}

	public String getTempTwoDaysAgo() {
		return tempTwoDaysAgo;
	}

	public void setTempTwoDaysAgo(String tempTwoDaysAgo) {
		this.tempTwoDaysAgo = tempTwoDaysAgo;
	}

	public String getTempThreeDaysAgo() {
		return tempThreeDaysAgo;
	}

	public void setTempThreeDaysAgo(String tempThreeDaysAgo) {
		this.tempThreeDaysAgo = tempThreeDaysAgo;
	}

	public String getTempLastSevenDays() {
		return tempLastSevenDays;
	}

	public void setTempLastSevenDays(String tempLastSevenDays) {
		this.tempLastSevenDays = tempLastSevenDays;
	}

	public String getTempLastThirtyDays() {
		return tempLastThirtyDays;
	}

	public void setTempLastThirtyDays(String tempLastThirtyDays) {
		this.tempLastThirtyDays = tempLastThirtyDays;
	}

	public String getTempLast365Days() {
		return tempLast365Days;
	}

	public void setTempLast365Days(String tempLast365Days) {
		this.tempLast365Days = tempLast365Days;
	}

	public Date getDateToDay() {
		return dateToDay;
	}

	public void setDateToDay(Date dateToDay) {
		this.dateToDay = dateToDay;
	}

	public Date getDateOneDayAgo() {
		return dateOneDayAgo;
	}

	public void setDateOneDayAgo(Date dateOneDayAgo) {
		this.dateOneDayAgo = dateOneDayAgo;
	}

	public Date getDateTwoDaysAgo() {
		return dateTwoDaysAgo;
	}

	public void setDateTwoDaysAgo(Date dateTwoDaysAgo) {
		this.dateTwoDaysAgo = dateTwoDaysAgo;
	}

	public Date getDateSevenDaysAgo() {
		return dateSevenDaysAgo;
	}

	public void setDateSevenDaysAgo(Date dateSevenDaysAgo) {
		this.dateSevenDaysAgo = dateSevenDaysAgo;
	}

	public Date getDateOneMonthAgo() {
		return dateOneMonthAgo;
	}

	public void setDateOneMonthAgo(Date dateOneMonthAgo) {
		this.dateOneMonthAgo = dateOneMonthAgo;
	}

	public Date getDateOneYearAgo() {
		return dateOneYearAgo;
	}

	public void setDateOneYearAgo(Date dateOneYearAgo) {
		this.dateOneYearAgo = dateOneYearAgo;
	}
}
